%define upstream_name    Module-CPANfile
%define upstream_version 1.1004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse cpanfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta) >= 2.120.910
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.120.910
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
'cpanfile' describes CPAN dependencies required to execute associated Perl
code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpanfile-dump
/usr/bin/mymeta-cpanfile
%{_mandir}/man1/cpanfile-dump.1*
%{_mandir}/man1/mymeta-cpanfile.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.100.400-5.mga10
+ Revision: 2204037
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.100.400-4.mga9
+ Revision: 1809680
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.400-3.mga8
+ Revision: 1505177
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.100.400-2.mga7
+ Revision: 1284779
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 shlomif <shlomif> 1.100.400-1.mga7
+ Revision: 1242556
- update to 1.1004

* Sun Jun 19 2016 pterjan <pterjan> 1.100.200-2.mga6
+ Revision: 1029947
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 shlomif <shlomif> 1.100.200-1.mga6
+ Revision: 978804
- update to 1.1002

* Fri Feb 19 2016 umeabot <umeabot> 1.100.100-2.mga6
+ Revision: 969639
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.100.100-1.mga6
+ Revision: 873540
- update to 1.1001

* Sun Oct 19 2014 umeabot <umeabot> 1.0.200-5.mga5
+ Revision: 789289
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.200-4.mga5
+ Revision: 739085
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.200-3.mga5
+ Revision: 735702
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.200-2.mga5
+ Revision: 685418
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.0.200-1.mga5
+ Revision: 581482
- imported package perl-Module-CPANfile


* Tue Feb 04 2014 cpan2dist 1.0002-1mga
- initial mageia release, generated with cpan2dist
